@charset "utf-8";

/* --------------
header
-------------- */
.nav__item--straykids {
    position: relative;
}

.nav__item--straykids::before {
    content: '';
    width: 10px;
    height: 10px;
    border-radius: 5px;
    display: inline-block;
    background-color: var(--primary-orange);
    position: absolute;
    top: -100%;
    left: 45%;
}

.nav__item--straykids::after {
    content: '';
    width: 100%;
    height: 3px;
    display: inline-block;
    background-color: var(--primary-orange);
    position: absolute;
    bottom: -17px;
    left: 0;
}

@media screen and (max-width:768px) {
    .nav__item--straykids::before {
        left: 47%;
    }
}

/* --------------
article__header
-------------- */
.straykids__title {
    border-color: var(--primary-orange);
}

.straykids__title::after {
    background-color: var(--primary-orange);
}

.straykids__subtitle {
    color: var(--primary-orange);
}

.mainImg__pc--straykids {
    margin-bottom: 100px;
}

@media screen and (max-width:768px) {
    .mainImg__pc--straykids {
        margin-bottom: 50px;
    }
}

/* --------------
straykids__txt
-------------- */
.straykids__txt {
    padding: 0 7%;
}

.straykids__txt p {
    color: var(--primary-white);
    font-size: 2rem;
    line-height: 200%;
    padding: 55px 43px;
    margin-top: 100px;
    background-color: var(--primary-orange);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    animation-name: fadein;
    animation-duration: 1.5s;
    animation-timing-function: ease-out;
    animation-fill-mode: forwards;
}

@media screen and (max-width:768px) {
    .straykids__txt {
        padding: 0 6%;
    }

    .straykids__txt p {
        font-size: 1.4rem;
        line-height: 200%;
        padding: 30px 20px;
        margin-top: 50px;
        border-radius: 10px;
    }
}

/* --------------
straykids__info
-------------- */
.straykids__info {
    padding: 100px 7%;
    justify-content: space-between;
    border-bottom: 3px solid var(--primary-orange);
    text-align: center;
}

.straykids__info--contents {
    display: flex;
}

.straykids__info--list {
    width: fit-content;
    margin: auto;
}

.straykids__info--item {
    display: flex;
    align-items: center;
    margin-bottom: 57px;
}

.straykids__info--item::before {
    display: inline-block;
    content: '';
    margin-top: 2px;
    margin-right: 7px;
    width: 10px;
    height: 10px;
    vertical-align: top;
    border-radius: 5px;
    background-color: var(--primary-orange);
}

h5 {
    font-size: 2rem;
}

.straykids__btn {
    background: var(--primary-orange);
    color: var(--primary-white);
    margin: 60px auto 0;
}

/*  */
.image-container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 20px;
}

.image-container img {
    max-width: 30%;
    height: auto;
}

/* modal */
.thumbnail {
    width: 100%;
    cursor: pointer;
    transition: transform 0.3s;
}

.thumbnail:hover {
    transform: scale(1.05);
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
}

.modal-content {
    margin: 15% auto;
    display: block;
    width: 80%;
    max-width: 700px;
}

.close {
    position: absolute;
    top: 100px;
    right: 25px;
    color: white;
    font-size: 35px;
    font-weight: bold;
    cursor: pointer;
}

@media screen and (max-width:768px) {
    .straykids__info {
        padding: 50px 6%;
    }

    .straykids__info--contents {
        display: block;
    }

    .straykids__info--item {
        margin-bottom: 30px;
    }

    h5 {
        font-size: 1.4rem;
    }

    .straykids__info--contents img {
        width: 55%;
        height: auto;
    }

    .straykids__btn {
        margin: 40px auto 0;
    }

    .modal-content {
        margin: 150px auto;
        display: block;
        width: 80%;
        max-width: 700px;
    }

    .close {
        position: absolute;
        top: 80px;
        right: 25px;
        color: white;
        font-size: 35px;
        font-weight: bold;
        cursor: pointer;
    }
}